---
title: 运算符
date: 2024-06-06T23:51:47Z
lastmod: 2024-07-01T18:33:14Z
---


* 算数运算符

  | 运算符                                                                                                               | 含义                                                                           |
  | -------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------ |
  | [+（加）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/add-transact-sql?view=sql-server-ver16)      | 加法                                                                           |
  | [-（减）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/subtract-transact-sql?view=sql-server-ver16) | 减法                                                                           |
  | [（乘）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/multiply-transact-sql?view=sql-server-ver16)  | 乘法                                                                           |
  | [/（除）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/divide-transact-sql?view=sql-server-ver16)   | 部门                                                                           |
  | [%（取模）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/modulo-transact-sql?view=sql-server-ver16) | 返回一个除法运算的整数余数。 例如，12 % 5 \= 2，这是因为 12 除以 5，余数为 2。 |

* 逻辑运算符

  | 运算符                                                                                                              | 含义                                               |
  | ------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------- |
  | [ALL](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/all-transact-sql?view=sql-server-ver16)         | 如果一组的比较都为 TRUE，那么就为 TRUE。           |
  | [AND](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/and-transact-sql?view=sql-server-ver16)         | 如果两个布尔表达式都为 TRUE，那么就为 TRUE。       |
  | ANY                                                                                                                 | 如果一组的比较中任何一个为 TRUE，那么就为 TRUE。   |
  | [BETWEEN](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/between-transact-sql?view=sql-server-ver16) | 如果操作数在某个范围之内，那么就为 TRUE。          |
  | [EXISTS](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/exists-transact-sql?view=sql-server-ver16)   | 如果子查询包含一些行，那么就为 TRUE。              |
  | [IN](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/in-transact-sql?view=sql-server-ver16)           | 如果操作数等于表达式列表中的一个，那么就为 TRUE。  |
  | [LIKE](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/like-transact-sql?view=sql-server-ver16)       | 如果操作数与一种模式相匹配，那么就为 TRUE。        |
  | [NOT](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/not-transact-sql?view=sql-server-ver16)         | 对任何其他布尔运算符的值取反。                     |
  | [OR](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/or-transact-sql?view=sql-server-ver16)           | 如果两个布尔表达式中的一个为 TRUE，那么就为 TRUE。 |
  | [SOME](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/some-any-transact-sql?view=sql-server-ver16)   | 如果在一组比较中，有些为 TRUE，那么就为 TRUE。     |

* 赋值运算符 `=`​
* 字符串运算符 `+`​
* 比较运算符

  | 运算符                                                                                                                                      | 含义                  |
  | ------------------------------------------------------------------------------------------------------------------------------------------- | --------------------- |
  | [（等于）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/equals-transact-sql?view=sql-server-ver16)                         | 等于                  |
  | [（大于）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/greater-than-transact-sql?view=sql-server-ver16)                   | 大于                  |
  | [（小于）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/less-than-transact-sql?view=sql-server-ver16)                      | 小于                  |
  | [（大于或等于）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/greater-than-or-equal-to-transact-sql?view=sql-server-ver16) | 大于等于              |
  | [（小于或等于）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/less-than-or-equal-to-transact-sql?view=sql-server-ver16)    | 小于或等于            |
  | [（不等于）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/not-equal-to-transact-sql-traditional?view=sql-server-ver16)     | 不等于                |
  | [!（不等于）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/not-equal-to-transact-sql-exclamation?view=sql-server-ver16)    | 不等于（非 ISO 标准） |
  | [!（不小于）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/not-less-than-transact-sql?view=sql-server-ver16)               | 不小于（非 ISO 标准） |
  | [!（不大于）](https://learn.microsoft.com/zh-cn/sql/t-sql/language-elements/not-greater-than-transact-sql?view=sql-server-ver16)            | 不大于（非 ISO 标准） |
  
* 位运算符

  | 运算符                                                       | 位运算                                                                     |
  | ------------------------------------------------------------ | -------------------------------------------------------------------------- |
  | **AND**如果两个位置上的位均为 `1`​，则结果为 `1`​。          | ​`1010 1010`​ \= 170`0100 1011`​ \= 75-----------------`0000 1010`​ \= 10  |
  | **OR**如果两个位置上任意一个位置的位为 `1`​，则结果为 `1`​。 | ​`1010 1010`​ \= 170`0100 1011`​ \= 75-----------------`1110 1011`​ \= 235 |
  | **NOT**对每个位位置上的位值取反。                            | ​`1010 1010`​ \= 170-----------------`0101 0101`​ \= 85                    |
  
* 复合运算符

  | 运算符 | 操作                                           |
  | ------ | ---------------------------------------------- |
  | +\=    | 将原始值加上一定的量，并将原始值设置为结果。   |
  | -\=    | 将原始值减去一定的量，并将原始值设置为结果。   |
  | \*\=   | 将原始值乘上一定的量，并将原始值设置为结果。   |
  | /\=    | 将原始值除以一定的量，并将原始值设置为结果。   |
  | %\=    | 将原始值除以一定的量，并将原始值设置为余数。   |
  | &\=    | 对原始值执行位与运算，并将原始值设置为结果。   |
  | \^\=   | 对原始值执行位异或运算，并将原始值设置为结果。 |
  | \|\=   | 对原始值执行位或运算，并将原始值设置为结果。   |

‍
